---
lang: en
title: 'API docs: sequelize.sequelizedatasource._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizedatasource._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeDataSource](./sequelize.sequelizedatasource.md) &gt; [(constructor)](./sequelize.sequelizedatasource._constructor_.md)

## SequelizeDataSource.(constructor)

Constructs a new instance of the `SequelizeDataSource` class

**Signature:**

```typescript
constructor(config: SequelizeDataSourceConfig);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  config | [SequelizeDataSourceConfig](./sequelize.sequelizedatasourceconfig.md) |  |


